post
https://api.aerocrs.com/v5/makeSeatReservation
Method allows to make prebooking of seats.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request parameters
| Parameter | Type | Description |
|---|---|---|
| bookingid | Number* | The bookingid (In case of new reservation must be zero) |
| companycode | String* | The airline designator |
| flights | Element* | An array of flights |
| flightnumber | String* | The flight number requested |
| flightdate | Date* | The flight date requested |
| fromcode | String* | Departure destination code |
| tocode | String* | Arrival destination code |
| class | String* | The class code |
| seat | Array* | The array Includes the seat name requested |
- Mandatory parameters
Response
The method will response with a list of seat fares in the flight
| Parameter | Type | Description |
|---|---|---|
| bookingid | Number | The bookingid |
| companycode | String | The airline designator |
| flights | Element | An array of flights |
| flightnumber | Date | The flight number requested |
| flightdate | String | The flight date requested |
| fromcode | String | Departure destination code |
| tocode | String | Arrival destination code |
| class | String | The class code |
| seat | Element | An array of seats |
| status | Boolean | The status of action |
| seat | String | The seat name |
| msg | String/Boolean | Notification |
| fare | Money | The fare for the seat |
| currency | String | The currency used in the fare |

